## golang-webpki-org-jsoncanonicalizer 0.20210204

=== debian/changelog ===
golang-webpki-org-jsoncanonicalizer (0.20210204-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add link for name used by rekor.  Closes: #1060820.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 18 Jan 2024 19:52:58 +0100

golang-webpki-org-jsoncanonicalizer (0.20210204-1) unstable; urgency=medium

  * Initial release.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 12 Nov 2023 20:47:06 -0500
