=== debian/control ===
Source: golang-webpki-org-jsoncanonicalizer
Section: golang
Priority: optional
Testsuite: autopkgtest-pkg-go
Maintainer: Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
Standards-Version: 4.6.2
Homepage: https://github.com/cyberphone/json-canonicalization/tree/master/go
XS-Go-Import-Path: webpki.org/jsoncanonicalizer
Vcs-Browser: https://salsa.debian.org/debian/golang-webpki-org-jsoncanonicalizer
Vcs-Git: https://salsa.debian.org/debian/golang-webpki-org-jsoncanonicalizer.git

Package: golang-webpki-org-jsoncanonicalizer-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: Golang library for a JCS (RFC 8785) compliant JSON canonicalizer
 Cryptographic operations like hashing and signing depend on that the target
 data does not change during serialization, transport, or parsing. By applying
 the rules defined by JCS (JSON Canonicalization Scheme), data provided in the
 RFC8259 format can be exchanged "as is", while still being subject to secure
 cryptographic operations. JCS achieves this by building on the serialization
 formats for JSON primitives as defined by ECMAScript, constraining JSON data
 to the I-JSON [RFC7493] subset, and through a platform independent property
 sorting scheme.
 .
 Public RFC: https://tools.ietf.org/html/rfc8785
