## golang-webpki-org-jsoncanonicalizer 1.0.1

=== debian/changelog ===
golang-webpki-org-jsoncanonicalizer (1.0.1-3) unstable; urgency=medium

  * Add Provides: golang-github-cyberphone-json-canonicalization.

 -- Roland Mas <lolando@debian.org>  Thu, 13 Mar 2025 17:43:15 +0100

golang-webpki-org-jsoncanonicalizer (1.0.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 21 Nov 2024 08:28:28 +0100

golang-webpki-org-jsoncanonicalizer (1.0.1-1) unstable; urgency=medium

  * Use new upstream: https://github.com/gowebpki/jcs
    - Change Homepage: and XS-Go-Import-Path URL.
    - Drop debian/patches/*.
  * Change to team maintained by Go team.
  * Add golang-github-gowebpki-jcs-dev, this is the new
    preferred Go development library to use.
  * Drop binaries from golang-webpki-org-jsoncanonicalizer-dev.
    - Change Architecture from any to all.
    - Change Multi-Arch from same to foreign.
    - Add Description: note saying this package is deprecated.
    - Continue to ship our vendor'ed upstream sources, only
      now this is explicit rather than faking *.orig.tar.gz.
  * Bump Standards-Version to 4.7.0.
  * Run wrap-and-sort -satbk.
  * Add d/gitlab-ci.yml.
  * Fix Vcs-* URLs.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Nov 2024 21:37:54 +0100
