=== debian/control ===
Source: golang-webpki-org-jsoncanonicalizer
Section: golang
Priority: optional
Testsuite: autopkgtest-pkg-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Simon Josefsson <simon@josefsson.org>,
 Roland Mas <lolando@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-stretchr-testify-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/gowebpki/jcs
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-webpki-org-jsoncanonicalizer
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-webpki-org-jsoncanonicalizer.git
XS-Go-Import-Path: github.com/gowebpki/jcs

Package: golang-github-gowebpki-jcs-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-stretchr-testify-dev,
 ${misc:Depends},
Description: JSON canonicalization scheme library based on RFC 8785 (Go library)
 Cryptographic operations like hashing and signing depend on that the
 target data does not change during serialization, transport, or parsing.
 By applying the rules defined by JCS (JSON Canonicalization Scheme),
 data provided in the JSON [RFC8259
 (https://tools.ietf.org/html/rfc8259)] format can be exchanged "as is",
 while still being subject to secure cryptographic operations. JCS
 achieves this by building on the serialization formats for JSON
 primitives as defined by ECMAScript [ES (https://ecma-
 international.org/ecma-262/)], constraining JSON data to the I-JSON
 [RFC7493 (https://tools.ietf.org/html//rfc7493)] subset, and through a
 platform independent property sorting scheme.
 .
 Public RFC: (https://tools.ietf.org/html/rfc8785)
 .
 The JSON Canonicalization Scheme concept in a nutshell:
 .
  * Serialization of primitive JSON data types using methods compatible
    with ECMAScript's JSON.stringify()
  * Lexicographic sorting of JSON Object properties in a *recursive*
    process
  * JSON Array data is also subject to canonicalization, *but element
    order remains untouched*
 .
 Original Work
 .
 This code was originally created by Anders Rundgren aka cyberphone and
 can be found here: (https://github.com/cyberphone/json-canonicalization).
 This fork and work is done with Anders' permission and is an attempt to
 clean up the Golang version.
 .
 This package contains the Go development library.

Package: golang-webpki-org-jsoncanonicalizer-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Provides: golang-github-cyberphone-json-canonicalization
Description: Golang library for a JCS (RFC 8785) compliant JSON canonicalizer
 Cryptographic operations like hashing and signing depend on that the target
 data does not change during serialization, transport, or parsing. By applying
 the rules defined by JCS (JSON Canonicalization Scheme), data provided in the
 RFC8259 format can be exchanged "as is", while still being subject to secure
 cryptographic operations. JCS achieves this by building on the serialization
 formats for JSON primitives as defined by ECMAScript, constraining JSON data
 to the I-JSON [RFC7493] subset, and through a platform independent property
 sorting scheme.
 .
 Public RFC: https://tools.ietf.org/html/rfc8785
 .
 This package contains the Go development library for the old
 namespaces github.com/cyberphone/json-canonicalization and
 webpki.org/jsoncanonicalizer which is still used by some Debian packages
 as a build dependency.  Please try to use golang-github-gowebpki-jcs-dev
 whenever possible instead of this package.
